# Uses of Class
com.sun.mirror.util.DeclarationFilter

Packages that use DeclarationFilter
Package
Description
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of DeclarationFilter in com.sun.mirror.util

Fields in com.sun.mirror.util declared as DeclarationFilter
Modifier and Type
Field
Description
`static final DeclarationFilter`
DeclarationFilter.`FILTER_PACKAGE`
A filter that selects only package-private (default) declarations.
`static final DeclarationFilter`
DeclarationFilter.`FILTER_PRIVATE`
A filter that selects only `private` declarations.
`static final DeclarationFilter`
DeclarationFilter.`FILTER_PROTECTED`
A filter that selects only `protected` declarations.
`static final DeclarationFilter`
DeclarationFilter.`FILTER_PUBLIC`
A filter that selects only `public` declarations.
`static final DeclarationFilter`
DeclarationFilter.`FILTER_PUBLIC_OR_PROTECTED`
A filter that selects only `public` or `protected` declarations.
Methods in com.sun.mirror.util that return DeclarationFilter
Modifier and Type
Method
Description
`DeclarationFilter`
DeclarationFilter.`and(DeclarationFilter f)`
Returns a filter that selects those declarations selected by both this filter and another.
`static DeclarationFilter`
DeclarationFilter.`getFilter(Class<? extends Declaration> kind)`
Returns a filter that selects declarations of a particular kind.
`static DeclarationFilter`
DeclarationFilter.`getFilter(Collection<Modifier> mods)`
Returns a filter that selects declarations containing all of a collection of modifiers.
`DeclarationFilter`
DeclarationFilter.`not()`
Returns a filter that selects those declarations not selected by this filter.
`DeclarationFilter`
DeclarationFilter.`or(DeclarationFilter f)`
Returns a filter that selects those declarations selected by either this filter or another.
Methods in com.sun.mirror.util with parameters of type DeclarationFilter
Modifier and Type
Method
Description
`DeclarationFilter`
DeclarationFilter.`and(DeclarationFilter f)`
Returns a filter that selects those declarations selected by both this filter and another.
`DeclarationFilter`
DeclarationFilter.`or(DeclarationFilter f)`
Returns a filter that selects those declarations selected by either this filter or another.